import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export type ButtonIconSource = {
    left?: string;
    right?: string;
};
export type ButtonSize = 'L' | 'M' | 'S';
export type ButtonVariant = 'primary' | 'secondary' | 'outline' | 'tertiary';
export declare class ButtonComponent {
    private buttonElement;
    fill: boolean;
    iconSource?: ButtonIconSource;
    showIconLeft: boolean;
    showIconRight: boolean;
    isWarning: boolean;
    size: ButtonSize;
    variant: ButtonVariant;
    private isButton;
    constructor(buttonElement: ElementRef<HTMLButtonElement>);
    private get isPrimary();
    private get isSecondary();
    private get isTertiary();
    private get isOutline();
    private get _isWarning();
    private get isTertiaryWithLeftIcon();
    private get isFill();
    private get isIconOnly();
    private get isLarge();
    private get isMedium();
    private get isSmall();
    private onLeave;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "button[aebButton], a[aebButton]", never, { "fill": { "alias": "fill"; "required": false; }; "iconSource": { "alias": "iconSource"; "required": false; }; "showIconLeft": { "alias": "showIconLeft"; "required": false; }; "showIconRight": { "alias": "showIconRight"; "required": false; }; "isWarning": { "alias": "isWarning"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], false, never>;
}
