import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
/**
 * @param label Текст, который будет находиться справа от чекбокса
 * @param id Опциональное свойство, уникальный id чекбокса
 * @param name Имя чекбокса, будет использоваться как имя Control'а в `checkboxFormGroup`
 * @param checked Значение состояния чекбокса при инициализации
 * @param required Включает валидацию, проверяющую, находится ли чекбокс в состоянии True
 * @param checkValidationAfterUncheck Должна ли валидация происходить после изменения состояния (или же она должна осуществляться сразу)
 * @param disabled Значение состояния контрола выключен/включен при инициализации
 */
export interface CheckBoxOldModel {
    label: string;
    id?: string;
    name: string;
    checked: boolean;
    required: boolean;
    checkValidationAfterUncheck?: boolean;
    disabled: boolean;
}
/**
 * Готовый компонент для группы чекбоксов. Принимает на вход в свойстве `checkboxArray` массив объектов,
 * реализующих интерфейс `CheckBoxModel`. В целях обеспечения иммутабельности и явности,
 * работа с элементами формы (установка значения, валидация, включение/выключение) должна осуществляться
 * через поле `checkboxFormGroup`, а не через поля объектов `checkboxArray`
 */
export declare class CheckboxGroupOldComponent implements OnInit {
    private formBuilder;
    checkboxOldArray: CheckBoxOldModel[];
    readonly checkboxOldFormGroup: FormGroup;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    isControlValid(checkboxOld: CheckBoxOldModel): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxGroupOldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxGroupOldComponent, "aeb-checkbox-group-old", never, { "checkboxOldArray": { "alias": "checkboxOldArray"; "required": false; }; }, {}, never, never, false, never>;
}
