import { ElementRef, EventEmitter, OnChanges, Renderer2, SimpleChange, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements ControlValueAccessor, OnChanges {
    private renderer;
    checkboxInput: ElementRef;
    id: string;
    isChecked: boolean;
    isDisabled: boolean;
    isValid: boolean;
    hasText: boolean;
    name: string | null;
    change: EventEmitter<boolean>;
    checkBoxClass: boolean;
    constructor(renderer: Renderer2);
    get checkboxChecked(): boolean;
    get checkboxDisabled(): boolean;
    get checkboxError(): boolean;
    handleChange(event: Event): void;
    writeValue(value: unknown): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    ngOnChanges(changes: SimpleChanges & {
        isChecked?: SimpleChange;
    }): void;
    private _onChangeFn;
    private _onTouched;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "aeb-checkbox", never, { "id": { "alias": "id"; "required": false; }; "isChecked": { "alias": "isChecked"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "isValid": { "alias": "isValid"; "required": false; }; "hasText": { "alias": "hasText"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, { "change": "change"; }, never, ["*"], false, never>;
}
