import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export type CodeLength = 4 | 6;
export declare class CodeInputComponent implements OnInit, ControlValueAccessor {
    title: string;
    secondsUntilRetry: number;
    tip: string;
    codeLength: CodeLength;
    hasError: boolean;
    codeCompleted: EventEmitter<Event>;
    timeOut: EventEmitter<Event>;
    resendClick: EventEmitter<Event>;
    inputValue: string;
    isFocus: boolean;
    showTimer: boolean;
    showCodeText: boolean;
    seconds$: Observable<number>;
    onChange: (_: string) => void;
    onTouch: (_: string) => void;
    get arrayInputValue(): string[];
    ngOnInit(): void;
    inputChangeHandler(event: Event): void;
    numbersOnly(e: KeyboardEvent): boolean;
    writeValue(value: string): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    startTimer(): void;
    stopTimer(): void;
    clear(): void;
    resend(): void;
    handleBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeInputComponent, "aeb-code-input", never, { "title": { "alias": "title"; "required": false; }; "secondsUntilRetry": { "alias": "secondsUntilRetry"; "required": false; }; "tip": { "alias": "tip"; "required": false; }; "codeLength": { "alias": "codeLength"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; }, { "codeCompleted": "codeCompleted"; "timeOut": "timeOut"; "resendClick": "resendClick"; }, never, never, false, never>;
}
