import '@angular/common/locales/global/ru';
import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { DatepickerUtilsService } from '../services/datepicker-utils.service';
import * as i0 from "@angular/core";
export declare class DatepickerCoreComponent implements OnInit, OnChanges {
    private utils;
    date: Date;
    minDate: Date;
    maxDate: Date;
    excludedDates: Date[];
    minYear: Date;
    maxYear: Date;
    withBackground: boolean;
    align: 'left' | 'right';
    withoutDays: boolean;
    dateChange: EventEmitter<Date>;
    woDaysMonth: EventEmitter<any>;
    woDaysYear: EventEmitter<any>;
    woDaysMonthSubInc: EventEmitter<boolean>;
    container: ElementRef<HTMLDivElement>;
    month: Date[][];
    isShowYears: boolean;
    isShowMonths: boolean;
    currentMonth: number;
    currentYear: number;
    constructor(utils: DatepickerUtilsService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    addMonth(): void;
    subMonth(): void;
    setMonth(month: number, erase?: boolean): void;
    setYear(year: number, erase?: boolean): void;
    setDate(date: Date): void;
    reDraw(): void;
    firstDay(): Date;
    showMonthsHandler(): void;
    showYearsHandler(): void;
    startOfYear(year: number): Date;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerCoreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerCoreComponent, "aeb-datepicker-core", never, { "date": { "alias": "date"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "excludedDates": { "alias": "excludedDates"; "required": false; }; "minYear": { "alias": "minYear"; "required": false; }; "maxYear": { "alias": "maxYear"; "required": false; }; "withBackground": { "alias": "withBackground"; "required": false; }; "align": { "alias": "align"; "required": false; }; "withoutDays": { "alias": "withoutDays"; "required": false; }; }, { "dateChange": "dateChange"; "woDaysMonth": "woDaysMonth"; "woDaysYear": "woDaysYear"; "woDaysMonthSubInc": "woDaysMonthSubInc"; }, never, never, false, never>;
}
