import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { DatepickerUtilsService } from '../services/datepicker-utils.service';
import * as i0 from "@angular/core";
/**
 * Компонента для отображения панели со списком лет/месяцев
 */
export declare class DatepickerTilesComponent implements OnInit, OnChanges {
    private utils;
    container: ElementRef<HTMLDivElement>;
    date: Date;
    isMonths: boolean;
    isYears: boolean;
    year: number;
    setYear: EventEmitter<number>;
    month: number;
    setMonth: EventEmitter<number>;
    minYear: Date;
    maxYear: Date;
    minDate: Date;
    maxDate: Date;
    woDays: boolean;
    years: number[];
    months: string[];
    constructor(utils: DatepickerUtilsService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    emitMonth(month: number): void;
    emitYear(year: number): void;
    scrollYears(): void;
    isMonthDisabled(month: number): boolean;
    isYearDisabled(year: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerTilesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerTilesComponent, "aeb-datepicker-tiles", never, { "date": { "alias": "date"; "required": false; }; "isMonths": { "alias": "isMonths"; "required": false; }; "isYears": { "alias": "isYears"; "required": false; }; "year": { "alias": "year"; "required": false; }; "month": { "alias": "month"; "required": false; }; "minYear": { "alias": "minYear"; "required": false; }; "maxYear": { "alias": "maxYear"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "woDays": { "alias": "woDays"; "required": false; }; }, { "setYear": "setYear"; "setMonth": "setMonth"; }, never, never, false, never>;
}
