import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { FormFieldDirective } from '../form-field/directives/form-field.directive';
import { DatepickerCoreComponent } from './datepicker-core/datepicker-core.component';
import { DatepickerUtilsService } from './services/datepicker-utils.service';
import { MaskUtilsService } from './services/mask-utils.service';
import * as i0 from "@angular/core";
export declare class DatepickerComponent implements OnInit, ControlValueAccessor, AfterViewInit, OnChanges, OnDestroy {
    private utils;
    private maskUtils;
    private cdr;
    date: Date;
    hasError: boolean;
    minDate: Date;
    maxDate: Date;
    excludedDates: Date[];
    minYear: Date;
    maxYear: Date;
    withBackground: boolean;
    align: 'left' | 'right';
    placeholder: string;
    collapseOnChange: boolean;
    withoutDays: boolean;
    core: DatepickerCoreComponent;
    input: FormFieldDirective;
    container: ElementRef<HTMLDivElement>;
    dateChange: EventEmitter<Date | null>;
    clearVl: string;
    inputValue: string;
    lastValidInput: string;
    customPattern: {
        y: {
            pattern: RegExp;
        };
        0: {
            pattern: RegExp;
        };
        1: {
            pattern: RegExp;
        };
        2: {
            pattern: RegExp;
        };
        3: {
            pattern: RegExp;
        };
        m: {
            pattern: RegExp;
        };
        x: {
            pattern: RegExp;
        };
    };
    fixedPosition: string;
    isOpen: boolean;
    disabled: boolean;
    touched: boolean;
    woDaysMonth: number;
    woDaysYear: number;
    scrollParent: HTMLElement;
    isolatedAdjustCoreContainer: () => void;
    constructor(utils: DatepickerUtilsService, maskUtils: MaskUtilsService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    addListeners(): void;
    keyDownHandler(event: KeyboardEvent): void;
    typeHandler(): void;
    clickInputHandler(): void;
    clickOutsideHandler(): void;
    woMonthIncSub(base: boolean): void;
    woDaysMonthSet(value: [number, boolean]): void;
    woDaysYearSet(value: [number, boolean]): void;
    isExcluded(date: Date): boolean;
    /**
     *
     * @param date
     * @returns
     */
    isDisabled(date: Date): boolean;
    handleInput(event: Event): void;
    handleOpen(): void;
    adjustCoreContainer(): void;
    handleDateChange(date: Date): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: Date): Date;
    setDisabledState(disabled: boolean): void;
    private onFormChange;
    private onTouch;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerComponent, "aeb-datepicker", never, { "date": { "alias": "date"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "excludedDates": { "alias": "excludedDates"; "required": false; }; "minYear": { "alias": "minYear"; "required": false; }; "maxYear": { "alias": "maxYear"; "required": false; }; "withBackground": { "alias": "withBackground"; "required": false; }; "align": { "alias": "align"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "collapseOnChange": { "alias": "collapseOnChange"; "required": false; }; "withoutDays": { "alias": "withoutDays"; "required": false; }; }, { "dateChange": "dateChange"; }, never, never, false, never>;
}
