import { ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { Dropdown } from '../../dropdown.namespace';
import * as i0 from "@angular/core";
export declare class DropdownContainerComponent implements OnInit, OnDestroy, OnChanges {
    optionElementList: QueryList<ElementRef<HTMLOptionElement>>;
    options: Dropdown.SelectOption[];
    filter: boolean;
    hasError: boolean;
    dropdownFieldValueChanges$: Observable<string>;
    arrowKeyPress$: Observable<"up" | "down">;
    enterKeyPress$: Observable<void>;
    isOpen$: Observable<boolean>;
    selected: EventEmitter<[Dropdown.SelectOption, number]>;
    viewOptionsChange: EventEmitter<Dropdown.SelectOption[]>;
    protected viewOptions$: Observable<Dropdown.SelectOption[]>;
    protected focusedOption$: BehaviorSubject<number>;
    private sourceOptionsChanged$;
    private subscriptions;
    private viewOptionsLength;
    private latestDropdownFieldValue;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    protected selectHandler(item: Dropdown.SelectOption, index: number): void;
    protected handleArrowKeys(direction: 'up' | 'down', index: number): void;
    protected handleMouse(type: 'move' | 'leave', index: number): void;
    private filterOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownContainerComponent, "aeb-dropdown-container", never, { "options": { "alias": "options"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "dropdownFieldValueChanges$": { "alias": "dropdownFieldValueChanges$"; "required": false; }; "arrowKeyPress$": { "alias": "arrowKeyPress$"; "required": false; }; "enterKeyPress$": { "alias": "enterKeyPress$"; "required": false; }; "isOpen$": { "alias": "isOpen$"; "required": false; }; }, { "selected": "selected"; "viewOptionsChange": "viewOptionsChange"; }, never, never, false, never>;
}
