import { ChangeDetectorRef, DoCheck, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { BehaviorSubject, Observable, Subject } from 'rxjs';
import { FormFieldComponent } from '../form-field/form-field.component';
import { Dropdown } from './dropdown.namespace';
import * as i0 from "@angular/core";
export declare class DropdownComponent implements ControlValueAccessor, OnInit, OnDestroy, OnChanges, DoCheck {
    ngControl: NgControl;
    private cdr;
    formFieldRef: FormFieldComponent;
    optionSelect: EventEmitter<Dropdown.SelectOption>;
    inputChange: EventEmitter<string>;
    label: string;
    options: Dropdown.SelectOption[];
    filter: boolean;
    hasError: boolean;
    errorMessageText: string;
    validateOnDirty: boolean;
    valueAsDropdownElement: boolean;
    protected dropdownIsOpen$: BehaviorSubject<boolean>;
    protected arrowKeyPress$: Subject<"up" | "down">;
    protected enterKeyPress$: Subject<void>;
    protected inputBlured$: Subject<void>;
    protected statusChanges$: Subject<void>;
    protected hasError$: Observable<boolean>;
    protected viewOptionsLength: number;
    private hasErrorChanges$;
    private selected;
    private pending;
    private valid;
    private dirty;
    private touched;
    private _fieldValue;
    private _value;
    private _disabled;
    get fieldValue(): string;
    get value(): string;
    set disabled(value: boolean);
    get disabled(): boolean;
    set fieldValue(vl: string);
    set value(value: string);
    constructor(ngControl: NgControl, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngDoCheck(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(disabled: boolean): void;
    protected handleArrowKeys(direction: 'up' | 'down'): void;
    protected handleEnterKey(): void;
    protected openHandler(): void;
    protected clickOutsideHandler(): void;
    protected inputHandler(term: Event): void;
    protected clickInput(): void;
    protected selectHandler(selectionData: [Dropdown.SelectOption, number]): void;
    protected viewOptionsChangeHandler(options: Dropdown.SelectOption[]): void;
    private resetValue;
    private onChange;
    private onTouch;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponent, [{ optional: true; self: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponent, "aeb-dropdown", never, { "label": { "alias": "label"; "required": false; }; "options": { "alias": "options"; "required": false; }; "filter": { "alias": "filter"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "errorMessageText": { "alias": "errorMessageText"; "required": false; }; "validateOnDirty": { "alias": "validateOnDirty"; "required": false; }; "valueAsDropdownElement": { "alias": "valueAsDropdownElement"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "fieldValue": { "alias": "fieldValue"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "optionSelect": "optionSelect"; "inputChange": "inputChange"; }, never, never, false, never>;
}
