import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { ButtonIconSource } from '../button/button.component';
import { FileAttach } from './file-attach.namespace';
import * as i0 from "@angular/core";
import * as i1 from "./directives/drag-and-drop.directive";
export declare class FileAttachComponent implements ControlValueAccessor, OnDestroy, OnInit {
    ngControl: NgControl;
    title: string;
    /**
     * A string that describes which files should be attached, e.g.
     * `"Справка 2НДФЛ, справка о размере пенсии и иные документы, подтверждающие доход"`
     */
    documentListText: string;
    attachButtonText: string;
    attachButtonIcon: ButtonIconSource;
    multi: boolean;
    layoutMod: FileAttach.LayoutMode;
    attachmentDescription: FileAttach.DetailedDescription;
    requirement: FileAttach.Requirement;
    showErrorMessage: boolean;
    changeListEvent: EventEmitter<File[]>;
    requirementViolatedError: EventEmitter<FileAttach.RequirementConfirmationError>;
    files: File[];
    showErrorMessageText: Subject<string>;
    private isFileInFocus;
    private defaultRequirementViolatedError;
    private subscriptions;
    constructor(ngControl: NgControl);
    private get hostClasses();
    private dropFile;
    private checkFileInFocus;
    ngOnInit(): void;
    ngOnDestroy(): void;
    writeValue(obj: FileList | File[]): void;
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(): void;
    protected clearFileList(): void;
    protected chooseFile(files: FileList): void;
    protected attachButtonClicked(): void;
    private addFile;
    private fileListToArray;
    private onChange;
    private onTouch;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileAttachComponent, [{ optional: true; self: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileAttachComponent, "aeb-file-attach", never, { "title": { "alias": "title"; "required": false; }; "documentListText": { "alias": "documentListText"; "required": false; }; "attachButtonText": { "alias": "attachButtonText"; "required": false; }; "attachButtonIcon": { "alias": "attachButtonIcon"; "required": false; }; "multi": { "alias": "multi"; "required": false; }; "layoutMod": { "alias": "layoutMod"; "required": false; }; "attachmentDescription": { "alias": "attachmentDescription"; "required": false; }; "requirement": { "alias": "requirement"; "required": false; }; "showErrorMessage": { "alias": "showErrorMessage"; "required": false; }; }, { "changeListEvent": "changeListEvent"; "requirementViolatedError": "requirementViolatedError"; }, never, never, false, [{ directive: typeof i1.DragAndDropDirective; inputs: {}; outputs: { "filesChoosen": "filesChoosen"; "filesInFocus": "filesInFocus"; }; }]>;
}
