import { AnimationEvent } from '@angular/animations';
import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export type NotificationID = string | number;
export interface NotificationModel {
    id: string | number;
    message: string;
    header: string;
    iconPath: string;
    lifeTime?: number;
}
export declare class NotificationComponent implements OnInit, OnDestroy, OnChanges {
    id: NotificationID;
    message: string;
    header: string;
    iconPath: string;
    /**
     * Время "жизни" уведомления в секундах.
     * Если передано falsy значение (0/null/undefined/etc), то уведомление не будет исчезать.
     */
    lifeTime: number;
    clickNotification: EventEmitter<NotificationID>;
    closeNotification: EventEmitter<NotificationID>;
    private notification;
    state: 'closed' | 'open';
    isHovered: boolean;
    timeout: ReturnType<typeof setTimeout>;
    private onOver;
    private onLeave;
    private onClick;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    /**
     * Вызывается при завершении перехода от одного state к другому
     */
    captureDoneEvent(event: AnimationEvent): void;
    handleClose(event: Event, id: NotificationID): void;
    private waitUntilClose;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "aeb-notification", never, { "id": { "alias": "id"; "required": false; }; "message": { "alias": "message"; "required": false; }; "header": { "alias": "header"; "required": false; }; "iconPath": { "alias": "iconPath"; "required": false; }; "lifeTime": { "alias": "lifeTime"; "required": false; }; }, { "clickNotification": "clickNotification"; "closeNotification": "closeNotification"; }, never, never, false, never>;
}
