import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
declare namespace ButtonDeprecated {
    type ButtonIconSource = {
        left?: string;
        right?: string;
    };
    type ButtonSize = 'medium' | 'small';
}
export declare class OldButtonComponent {
    private buttonElement;
    /**
     * button text label
     */
    label: string;
    /**
     * allows to take up 100% of the width
     */
    fill: boolean;
    /**
     * show button icons (left and right)
     */
    showIcon: boolean;
    /**
     * path to button icons sources
     */
    iconSource?: ButtonDeprecated.ButtonIconSource;
    /**
     * path to disabled button icon source
     */
    disabledIconSource?: ButtonDeprecated.ButtonIconSource;
    /**
     * path to button hovered icon source
     */
    hoveredIconSource?: ButtonDeprecated.ButtonIconSource;
    /**
     * disable button
     */
    disabled: boolean;
    /**
     * show left icon
     */
    leftIcon: boolean;
    /**
     * show right icon
     */
    rightIcon: boolean;
    size: ButtonDeprecated.ButtonSize;
    tabIndex: number;
    private isButton;
    /**
     * changes it's state when button is hovered
     */
    isHovered: boolean;
    private _primary;
    private _solid;
    constructor(buttonElement: ElementRef<HTMLElement>);
    private get isPrimary();
    private get isSolid();
    private get isFill();
    private get isSolidDisabled();
    private get isPrimaryDisabled();
    private get isSmall();
    get solid(): boolean;
    get primary(): boolean;
    /**
     * show solid button or border button
     */
    set solid(value: boolean);
    set primary(value: boolean);
    private onOver;
    private onLeave;
    wrapWithCssURL(value: string | undefined): string;
    /**
     * Получаем путь до иконки для данной стороны `side`, согласно тому состоянию,
     * в котором сейчас находится кнопка
     *
     * @param side сторона, для которой нужно получить иконку, т.е. 'left' | 'right'
     * @returns путь до иконки, которая должна
     */
    getCurrentIconSource(side: keyof ButtonDeprecated.ButtonIconSource): string | undefined;
    static ɵfac: i0.ɵɵFactoryDeclaration<OldButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OldButtonComponent, "aeb-old-button", never, { "label": { "alias": "label"; "required": false; }; "fill": { "alias": "fill"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "iconSource": { "alias": "iconSource"; "required": false; }; "disabledIconSource": { "alias": "disabledIconSource"; "required": false; }; "hoveredIconSource": { "alias": "hoveredIconSource"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "leftIcon": { "alias": "leftIcon"; "required": false; }; "rightIcon": { "alias": "rightIcon"; "required": false; }; "size": { "alias": "size"; "required": false; }; "tabIndex": { "alias": "tabIndex"; "required": false; }; "solid": { "alias": "solid"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export {};
