import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export type AmountOption = {
    value: string;
    label: string;
};
export declare class PaginationOldComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    private cdr;
    private element;
    pageSelect: EventEmitter<number>;
    amountChange: EventEmitter<number>;
    totalPages: number;
    currentPage: number;
    amountOptions?: AmountOption[];
    adaptive: number;
    private amountSelect;
    head: number[];
    middle: number[];
    tail: number[];
    private adaptiveBase;
    private _amount;
    private resizeSub$;
    private windowResizedCallback;
    constructor(cdr: ChangeDetectorRef, element: ElementRef);
    get amount(): number;
    set amount(value: number);
    headPageHandler(page: number): void;
    amountChangeHandler(value: string): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    middlePageHandler(page: number): void;
    nextPageHandler(): void;
    prevPageHandler(): void;
    tailPageHandler(page: number): void;
    private getAdaptiveByBreakPoint;
    /**
     * Результатом работы являются заполненные массивы головной, средней и конечной частей пагинации
     *
     * @param currentPage текущая страница
     */
    private renderPages;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationOldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationOldComponent, "aeb-pagination-old", never, { "totalPages": { "alias": "totalPages"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "amountOptions": { "alias": "amountOptions"; "required": false; }; "adaptive": { "alias": "adaptive"; "required": false; }; "amount": { "alias": "amount"; "required": false; }; }, { "pageSelect": "pageSelect"; "amountChange": "amountChange"; }, never, never, false, never>;
}
