import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class PaginationComponent implements OnInit, OnChanges, OnDestroy {
    totalPages: number;
    currentPage: number;
    usePageSizeSelector: boolean;
    pageSize: number;
    pageSelect: EventEmitter<number>;
    amountChange: EventEmitter<number>;
    private isPagination;
    pageSizeControl: FormControl<string>;
    head: number | null;
    middle: number[];
    tail: number | null;
    private baseSize;
    constructor();
    headPageHandler(page: number): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    handleChangePageSize(pageSize: string): void;
    middlePageHandler(page: number): void;
    nextPageHandler(): void;
    prevPageHandler(): void;
    tailPageHandler(page: number): void;
    /**
     * Результатом работы являются заполненные массивы головной, средней и конечной частей пагинации
     *
     * @param currentPage текущая страница
     */
    private renderPages;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "aeb-pagination", never, { "totalPages": { "alias": "totalPages"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "usePageSizeSelector": { "alias": "usePageSizeSelector"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; }, { "pageSelect": "pageSelect"; "amountChange": "amountChange"; }, never, never, false, never>;
}
