import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export type radioOption = {
    value: number;
    label: string;
};
export declare class RadioButtonsComponent implements ControlValueAccessor {
    /**
     * list of items to choose from
     */
    options: radioOption[];
    /**
     * component header
     */
    header: string;
    /**
     * error status
     */
    hasError: boolean;
    horizontal: boolean;
    btnChange: EventEmitter<number | undefined>;
    touched: boolean;
    disabled: boolean;
    private _value;
    get value(): number | undefined;
    /**
     */
    set value(v: number | undefined);
    /**
     * should radio items be placed horizontally
     */
    registerOnChange(fn: (value: any) => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: number): void;
    setDisabledState(disabled: boolean): void;
    private onChange;
    private onTouch;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonsComponent, "aeb-radio-buttons", never, { "options": { "alias": "options"; "required": false; }; "header": { "alias": "header"; "required": false; }; "hasError": { "alias": "hasError"; "required": false; }; "horizontal": { "alias": "horizontal"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "btnChange": "btnChange"; }, never, never, false, never>;
}
