import { AfterViewInit, ChangeDetectorRef, EventEmitter, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { OptionComponent } from './option.component';
import * as i0 from "@angular/core";
export declare class SelectComponent implements ControlValueAccessor, AfterViewInit {
    private cdr;
    class: string;
    optionsQuery: QueryList<OptionComponent>;
    optionSelect: EventEmitter<string>;
    hasError: boolean;
    disabled: boolean;
    direction?: 'top' | 'bottom';
    isOpen?: boolean;
    placeholder: string;
    onChange: (_: string) => void;
    options: OptionComponent[];
    private _value;
    constructor(cdr: ChangeDetectorRef);
    get selectedOption(): {
        value: string;
        label: string;
    };
    get value(): string;
    set value(value: string);
    /**
     * Вызывается при задании исходного (new FormControl('I am default value'))
     * или нового значения сверху control.setValue('I am setted value').
     * Не нужно вызывать этот метод, чтобы задать значение во вьюшке. Вместо него надо использовать `setValue`.
     */
    writeValue(value: string): void;
    /**
     * Метод определяющий обработчик, который должен быть вызван при изменении значения
     * (fn является callback'ом, который уведомит форму о том, что в этом контроле изменилось значение).
     */
    registerOnChange(fn: () => void): void;
    /**
     * Определяет callback, который вызывается на blur событие (control помечается флагом touched)
     */
    registerOnTouched(): void;
    setValue(option: string): void;
    openDropdown(): void;
    closeDropdown(): void;
    handleClickOutside($event: Event): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "aeb-select", never, { "hasError": { "alias": "hasError"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; }, { "optionSelect": "optionSelect"; }, ["optionsQuery"], ["label"], false, never>;
}
