import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SliderComponent implements OnInit, AfterViewInit, ControlValueAccessor {
    private renderer;
    slider: ElementRef<HTMLBaseElement>;
    label: string;
    prefix: string;
    intialValue: number;
    min: number;
    max: number;
    step: number;
    value: number;
    displayValue: string | number;
    mode: 'standard' | 'input';
    /**
     * separator for currency value
     */
    valueSeparator: string;
    isSlider: boolean;
    get isStandardMode(): boolean;
    get isInputMode(): boolean;
    isPressed?: boolean;
    onChange: (_: number) => void;
    constructor(renderer: Renderer2);
    get position(): number;
    ngOnInit(): void;
    writeValue(value: number): void;
    updateDisplayValue(): void;
    setCurrentDisplayValue(): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(): void;
    ngAfterViewInit(): void;
    changeValueByInput(value: string): void;
    onInputBlur(): void;
    calculateAverage(values: number[]): number;
    handleStartDragging: (event: MouseEvent) => void;
    handleStartSwiping: (event: TouchEvent) => void;
    handleChangeValue(positionX: number): void;
    handleEndDragging: (event: MouseEvent) => void;
    handleEndSwiping: (event: TouchEvent) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SliderComponent, "aeb-slider", never, { "label": { "alias": "label"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "intialValue": { "alias": "intialValue"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "step": { "alias": "step"; "required": false; }; "value": { "alias": "value"; "required": false; }; "displayValue": { "alias": "displayValue"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "valueSeparator": { "alias": "valueSeparator"; "required": false; }; }, {}, never, never, false, never>;
}
