export interface ColumnDataModel {
    [key: string]: string | number;
    id: string;
}
export interface DataTableTypeModel<T> {
    columns: ColumnTypeModel<T>[];
    rowActions?: RowActionModel[];
    status?: StatusModel[];
}
export interface ColumnTypeModel<T> {
    title: string;
    dataProperty?: keyof T;
    dataField?: 'ROW_ACTION' | 'STATUS' | 'DEFAULT';
    align?: string;
    action?: string;
    format?: {
        type: 'date' | 'number';
        placeholder: string;
        local?: string;
    };
}
export interface RowActionModel {
    actionToPerform: string;
    logoImageUrl: string;
}
export interface StatusModel {
    status: number;
    label: string;
    iconUrl: string;
    color: string;
}
export interface RowActionWithDataModel {
    actionToPerform: string;
    id: string;
}
