import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { DOMService } from './services/domservice.service';
import * as i0 from "@angular/core";
export type boundaries = {
    left: number;
    top: number;
    bottom: number;
    right: number;
    height: number;
    width: number;
};
interface TooltipModel {
    offsetHeight?: number;
    offsetWidth?: number;
    tooltip?: ElementRef<HTMLDivElement>;
}
type boundCb = [number, number];
type verticesKey = 'right' | 'left' | 'top' | 'bottom';
export type vertices = {
    [key in verticesKey]: (boundaries: boundaries, tooltip: any) => boundCb;
};
export declare class TooltipDirective implements OnDestroy, OnInit, AfterViewInit {
    private el;
    private dom;
    private sanitizer;
    private _ngZone;
    data: string;
    position: 'top' | 'left' | 'right' | 'bottom';
    overflow: boolean;
    tooltipContent: ElementRef<HTMLDivElement>;
    clickOutside: EventEmitter<Event>;
    tooltip: TooltipModel;
    tooltipOpen: boolean;
    tooltipConfig: vertices;
    private touchTimeStamp;
    constructor(el: ElementRef<HTMLDivElement>, dom: DOMService, sanitizer: DomSanitizer, _ngZone: NgZone);
    onMouseLeave(): void;
    onMouseEnter(): void;
    onClick(event: TouchEvent): void;
    orientationChangeHandler(): void;
    showTooltip(): void;
    hideTooltip(): void;
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private initListeners;
    private removeListeners;
    private handleDocumentTouchstart;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[aebTooltip]", never, { "data": { "alias": "tooltip-data"; "required": false; }; "position": { "alias": "position"; "required": false; }; "overflow": { "alias": "overflow"; "required": false; }; }, { "clickOutside": "clickOutside"; }, ["tooltipContent"], never, false, never>;
}
export {};
